Bug Tracker – Bug 205

Major Latency Issues

Last modified: 2008-05-14 20:47:13 UTC
Bug 205 - Major Latency Issues
Summary: Major Latency Issues
Status: RESOLVED FIXED
Alias: None
Product: Odamex
Classification: Unclassified
Component: Server & Client (show other bugs)
Version: (old) 0.0.1
Hardware: x86 (Windows, Linux, etc) Windows (Any)
: P2 critical
Assignee: Denis Lukianov
URL:
Depends on:
Blocks: 424
  Show dependency tree
 
Reported: 2006-09-06 08:44 UTC by Ralph Vickers
Modified: 2008-05-14 20:47 UTC (History)
0 users

See Also:

Attachments

clearly not intended (53.24 KB, image/png)
2006-09-11 20:20 UTC, Dean Joseph
Details
Add an attachment (proposed patch, testcase, etc.)

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Vickers 2006-09-06 08:44:08 UTC
A major latency problem has been found in newer clients of Odamex. Regardless of pings, high or low, players appear to jitter around at all instances. 

Alexmax took a guess at the unfinished wallhack fix. However, after testing with the hack fixes seemingly disabled problems still occured. Could somebody with more experience in netcode please look over this as it is crucial for the upcoming release.
Comment 1 Ralph Vickers 2006-09-11 09:26:09 UTC
Comments from Denis indicate that this is in fact related to the elevator smoothing code.
Comment 2 Dean Joseph 2006-09-11 20:20:23 UTC
Created attachment 23 [details]
clearly not intended
Comment 3 Dean Joseph 2006-09-11 20:22:26 UTC
Comment on attachment 23 [details]
clearly not intended

<IMG width="375" src="http://odamex.net/bugs/attachment.cgi?id=23" alt="http://odamex.net/bugs/attachment.cgi?id=23" style="cursor: -moz-zoom-in;"/>
Comment 4 Denis Lukianov 2006-09-26 18:09:06 UTC
(In reply to comment #2)
> Created an attachment (id=23) [edit]
> This is clearly not intended

Heh, the not-so-well-hidden hidden monsters at (0,0). Fixed, I think.
Comment 5 Denis Lukianov 2006-12-31 02:47:17 UTC
This is still a problem. Still working on it.
Comment 6 Denis Lukianov 2008-05-04 08:14:10 UTC
i think this may have been fixed a while ago. could the initial investigators comment, please?
Comment 7 Denis Lukianov 2008-05-14 20:47:13 UTC
this is now redundant. marking fixed.